#include <iostream>
using namespace std;
int main(){
    long long n,p,l;
    cin>>n;
    long long a[n];
    long long x[n];
    for(long long i=1;i<n+1;i++){
        cin>>p;
        cin>>l;
        a[i]=p;
        x[i]=l;}
    if(n==2){
        if(a[1]!=a[2] && x[1]!=x[2]){
            cout<<0;}
        if(a[1]==a[2] || x[1]==x[2]){
            cout<<1;}}
    long long q=0;
    long long w=0;
    if(n!=2){
        long long m;
        long long t;
        for(long long i=1;i<n;i++){
            m=i;
            for(long long j=i+1;j<n+1;j++){
                if(x[m]>x[j]){
                    m=j;}}
            swap(x[m],x[i]);}
        for(long long i=1;i<n;i++){
            t=i;
            for(long long j=i+1;j<n+1;j++){
                if(a[t]>a[j])
                    t=j;}
            swap(a[t],a[i]);}
        for(long long i=1;i<n+1;i++)
            q+=(abs(i-a[i]));
        for(long long i=1;i<n+1;i++)
            w+=(abs(i-x[i]));
        cout<<q+w;}}